package com.bocloud.nms.model.campus;

import java.util.List;

public class SyncModel {

    private List<GuestUserModel> guestUsers;
    private List<GuestAdminModel> guestAdmins;
    private List<GuestServiceModel> guestServices;
    private List<OnlineUserModel> onlineUsers;
    private List<DeviceModel> deviceModels;
    private List<DeviceVlanModel> deviceVlanModels;
    private List<DeviceInterfaceModel> interfaceModels;
    private List<AcmUserModel> acmUserModels;
    private List<SecGroupModel> secGroupModels;
    private List<DomainModel> domainModels;
    private List<AppliedServiceModel> appliedServiceModels;
    private List<AssignedIpScopeModel> assignedIpScopeModels;
    private List<AssignedIpInfoModel> assignedIpInfoModels;

    public List<GuestUserModel> getGuestUsers() {
        return guestUsers;
    }

    public void setGuestUsers(List<GuestUserModel> guestUsers) {
        this.guestUsers = guestUsers;
    }

    public List<GuestAdminModel> getGuestAdmins() {
        return guestAdmins;
    }

    public void setGuestAdmins(List<GuestAdminModel> guestAdmins) {
        this.guestAdmins = guestAdmins;
    }

    public List<GuestServiceModel> getGuestServices() {
        return guestServices;
    }

    public void setGuestServices(List<GuestServiceModel> guestServices) {
        this.guestServices = guestServices;
    }

    public List<OnlineUserModel> getOnlineUsers() {
        return onlineUsers;
    }

    public void setOnlineUsers(List<OnlineUserModel> onlineUsers) {
        this.onlineUsers = onlineUsers;
    }

    public List<DeviceModel> getDeviceModels() {
        return deviceModels;
    }

    public void setDeviceModels(List<DeviceModel> deviceModels) {
        this.deviceModels = deviceModels;
    }

    public List<DeviceVlanModel> getDeviceVlanModels() {
        return deviceVlanModels;
    }

    public void setDeviceVlanModels(List<DeviceVlanModel> deviceVlanModels) {
        this.deviceVlanModels = deviceVlanModels;
    }

    public List<DeviceInterfaceModel> getInterfaceModels() {
        return interfaceModels;
    }

    public void setInterfaceModels(List<DeviceInterfaceModel> interfaceModels) {
        this.interfaceModels = interfaceModels;
    }

    public void setAcmUserModels(List<AcmUserModel> acmUserModels) {
        this.acmUserModels = acmUserModels;
    }

    public List<AcmUserModel> getAcmUserModels() {
        return acmUserModels;
    }

    public void setSecGroupModels(List<SecGroupModel> secGroupModels) {
        this.secGroupModels = secGroupModels;
    }

    public List<SecGroupModel> getSecGroupModels() {
        return secGroupModels;
    }

    public void setDomainModels(List<DomainModel> domainModels) {
        this.domainModels = domainModels;
    }

    public List<DomainModel> getDomainModels() {
        return domainModels;
    }

    public void setAppliedServiceModels(List<AppliedServiceModel> appliedServiceModels) {
        this.appliedServiceModels = appliedServiceModels;
    }

    public List<AppliedServiceModel> getAppliedServiceModels() {
        return appliedServiceModels;
    }

    public void setAssignedIpScopeModels(List<AssignedIpScopeModel> assignedIpScopeModels) {
        this.assignedIpScopeModels = assignedIpScopeModels;
    }

    public List<AssignedIpScopeModel> getAssignedIpScopeModels() {
        return assignedIpScopeModels;
    }

    public void setAssignedIpInfoModels(List<AssignedIpInfoModel> assignedIpInfoModels) {
        this.assignedIpInfoModels = assignedIpInfoModels;
    }

    public List<AssignedIpInfoModel> getAssignedIpInfoModels() {
        return assignedIpInfoModels;
    }
}
